[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Request for package import: qcad



On Sun, 13 Feb 2005 21:31:07 +0100, Michael Schwendt wrote:

> On Sun, 13 Feb 2005 19:38:46 +0100, Gérard Milmeister wrote:
> 
> > The CAD application qcad at
> > http://www.ifi.unizh.ch/staff/milmei/rpms/qcad-2.0.4.0-1.src.rpm
> > has been in bugzilla.us for some time
> > http://bugzilla.fedora.us/show_bug.cgi?id=848
> > 
> > I think most of the issues have been resolved.
> > Menu > Help > Manual works, but needs qt-devel for /usr/bin/assistant.
> > It would probably be better to move assistant to qt.
> 
> Yes. Please file an RFE, because qt-devel is >20 MB.

Ok, now that the Qt maintainer closed the RFE as WONTFIX, we need an
alternative (qt-devel on FC3 contains the 26 MB html docs two times due to
a bug).

 a) Split off a qcad-manual package which then can depend on qt-devel
    just for Qt Assistant.
 b) Add a Qt warning dialog when /usr/bin/assistant does not exist
    (will be English only; but the manual is English only, too)
 c) Delete the dependency on /usr/bin/assistant and have a non-working
    QCad help menu when qt-devel is not installed.

FWIW, I'm for a) or for b), but interested in other comments.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]